v.in.shape(1)	       Grass User's Manual	    v.in.shape(1)



NNAAMMEE
       vv..iinn..sshhaappee - Read an ArcView Shapefile
       _(_G_R_A_S_S _V_e_c_t_o_r _P_r_o_g_r_a_m_)

SSYYNNOOPPSSIISS
       vv..iinn..sshhaappee


       vv..iinn..sshhaappee[[..ppgg]]	  [[--llbbrrooss]]    iinnppuutt==_n_a_m_e    [output=_n_a_m_e]
       [mmaappsseett==_n_a_m_e]   [vveerrbboossee==_d_e_b_u_g	 _l_e_v_e_l]    [llooggffiillee==_n_a_m_e]
       [ssnnaappddiisstt==_s_n_a_p  _d_i_s_t_a_n_c_e] [sslliivveerr==_m_i_n_. _a_n_g_l_e] [ssccaallee==_o_r_i_g_.
       _s_c_a_l_e] [aattttrriibbuuttee==_c_a_t_e_g_o_r_y _n_u_m_b_e_r] [llaabbeell==_c_a_t_e_g_o_r_y  _l_a_b_e_l]
       [sseelleecctt==_f_i_e_l_d _t_o _u_s_e] [mmaaxxsshhaappeess==_m_a_x_i_m_u_m _n_u_m_b_e_r]

DDEESSCCRRIIPPTTIIOONN
       The  _v_._i_n_._s_h_a_p_e	program  is  designed  to  import ArcView
       Shapefiles.  _v_._i_n_._s_h_a_p_e will be run  non-interactively  if
       the  user specifies program arguments on the command line.
       Alternately, the user can simply type:


       vv..iinn..sshhaappee   _o_r	vv..iinn..sshhaappee..ppgg

       on the command line without  program  arguments.  In  this
       case, the user will be prompted for parameter values using
       the standard GRASS user interface described in the  manual
       entry for _p_a_r_s_e_r.

FFEEAATTUURREESS
       By  default  Grass  files  created have the name extracted
       from the basename of the shapefile. This can be	over-rid-
       den  by supplying a value to the _o_u_t_p_u_t option, which must
       be a legal name.
       The import filter attempts to correct some  common  errors
       that are frequently met with in shapefiles:
       The  snap distance, which always has a small default value
       if not supplied, creates  a  microgrid  of  cells  in  the
       import  map  region. Only one vertex is ever assigned to a
       particular cell. If a later vertex is added that is in the
       same  cell,  it	is considered co-incident with the first.
       When a link is added between two vertices, it is  recorded
       and the same link is not added twice. The snap distance is
       also used to define  the  co-incidence  of  other  spatial
       entities,  for  example edges of bounding boxes. This snap
       distance has no relation to the snap distance defined  for
       the dig_plus map. (This needs some improvement).
       The  sliver  tolerance defines a minimum angle between two
       lines, where the lines would be considered distinct. Lines
       closer  than  this are considered colinear, and under some
       circumstances, the import attempts to  filter  out  extra,
       overlapping  lines.  This often helps where the boundaries
       of two adjacent polygons are not alligned properly in some
       way.
       Duplicate rings are removed.

OOPPTTIIOONNSS
   FFllaaggss::
       --ll     List  the  fields contained in the DBF file associ-
	      ated with the input shapefile, then exit.

       --bb     Display bounds of map  (north,  south,  east,  west
	      coordinates), then exit.

       --rr     Create  a  reject  lines	file.  During import some
	      lines are not imported for a variety of reasons.

       --oo     Allow over-write of existing vector map.

       --ss     Select shapes to extract based on a field

       --pp     Dump the fields of the  shapefile  from  DBF  to	a
	      postgres table.

	      **NNOOTTEE::   This   option   is   only  available  with
	      _v_._i_n_._s_h_a_p_e_._p_g


   PPaarraammeetteerrss::
       iinnppuutt=_f_i_l_e_n_a_m_e
	      Name of input shape file. Provide a full path  name
	      or the name of a file in the current directory. Any
	      of the full pathname, basename, or prefix only will
	      suffice.

       oouuttppuutt=_f_i_l_e_n_a_m_e
	      Name  of	vector map to be created (default: prefix
	      of shape file). By default  prefix  of  shape  file
	      name is used.

       vveerrbboossee=_i_n_t_e_g_e_r
	      Number between 0 (no trace of what's happening) and
	      9 (very verbose log).  Name of file where log  info
	      will  be	written. By default log info are directed
	      to _s_t_d_e_r_r.

       ssnnaappddiisstt=_f_p_-_n_u_m_b_e_r
	      A grid resolution can be defined within which adja-
	      cent vertices will snap.

	      NNoottee::The	vertices do not snap to the grid. All the
	      vertices inside a grid cell snap to  one	of  their
	      number (usually the first).  This value defaults to
	      1.0e-10 ground units. In fact, it will never  allow
	      a value that is less.

       sslliivveerr=_f_p_-_n_u_m_b_e_r
	      A minimum angle can be defined for one link to sub-
	      tend others at a given node. If the  angle  between
	      two  lines  is less than this, they will be treated
	      as colinear.  This can be useful as the module  now
	      has  features  which attempt to correct some common
	      topological errors  that	occur  in  the	immediate
	      vicinity	of  nodes.  If	you can be confident that
	      true angles between adjacent  arcs  radiating  from
	      the  same node cannot be less than a certain value,
	      you can specify that value here,	and  some  errors
	      may  be  automatically  corrected. This defaults to
	      .0001 degrees. In fact it will never allow a  value
	      that is less.

       ssccaallee=_i_n_t_e_g_e_r
	      This  sets an original scale that will be specified
	      in the header of the vector map file produced.   It
	      can  be  edited  later  with  vv..ddiiggiitt.   The  value
	      defaults to 1:2400

       aattttrriibbuuttee=_n_a_m_e
	      Name of the input field  to  use	as  the  category
	      number in dig_att.  Defaults to using the record ID
	      number as a category value if no value is  assigned
	      or  a  non-numeric  field is given. If the field is
	      floating-point the value is rounded to the  nearest
	      integer.

       llaabbeell==_n_a_m_e
	      Name  of	the  input  field  to use as the category
	      label in dig_cats. Only writes  out  results  if	a
	      meaningful  category  field  is given, otherwise no
	      action is taken.	If  the  same  attribute  is  re-
	      assigned a new category, the value is over-written.

       sseelleecctt==_f_i_e_l_d_:_v_a_l_u_e
	      Name of dbf-file field to use  for  selection.  The
	      format  of the filter is select=: as above, but the
	      -s flag is required also.

	      Example:

	      v.in.shape    -s	   input=map	 select=FOLIE:118
	      label=ALIASFOLIE	imports  only  shape vectors with
	      value "118" in dbf-table field "FOLIE".

	      This feature may be used for selective data import.


       mmaaxxsshhaappeess=_v_a_l_u_e
	      Useful  mainly for debug purposes, or to check that
	      a map is	good,  imports	only  the  first  `value'
	      shapes.  The  shapes counted include those filtered
	      out by the `select' option, therefore this  is  the
	      maximum number imported.

BBUUGGSS AANNDD CCAAVVEEAATT
       There  is  no  support for projection since the projection
       information is not stored in SHAPE files.


       Multipatch data is not yet supported. Point  data  (sites)
       also  is not handled by this module. New module _s_._i_n_._s_h_a_p_e
       imports site data.


       Resource hog. The filtration process uses a lot of  memory
       in  large  files.  The  size of files that can be imported
       sufficiently depends on the resources of the local system,
       but performance degrades rapidly when you go into swap. On
       a system with 128MB physical RAM,  files  of  up  to  4000
       polygons are typically imported easily.


       Area  and  perimeter fields in input data may no longer be
       quite correct if the lines have been adjusted  to  correct
       topology problems.

EEXXAAMMPPLLEE
       Example:

       v.in.shape     in=map.shp     out=map	 attribute=OBJART
       label=ALIASFOLIE scale=25000
       This command imports the shape file "map"  into	GRASS  at
       scale  of  1:25000  (since  the scale is not stored in the
       shape file). "attribute" is the field name containing  the
       record  ID  (if not set, internal numbering will be done).
       "label"	is  the  field	containing  the  associated  text
       labels.	Use  the "-l" flag to get the list of fields from
       the "map.dbf" file.

SSEEEE AALLSSOO
       _m_._i_n_._e_0_0_,   _g_._m_a_p_s_e_t_s_,	 _g_._r_e_g_i_o_n_,    _v_._d_i_g_i_t_,	  _v_._p_r_o_j_,
       _s_._i_n_._s_h_a_p_e_, _v_._s_u_p_p_o_r_t_, _v_._t_o_._r_a_s_t_, _v_._o_u_t_._s_h_a_p_e

AAUUTTHHOORRSS
       Frank Warmerdam (warmerda@home.com)
       Based	 on	Shapelib     (http://gdal.velocet.ca/pro-
       jects/shapelib/).


       Markus Neteler

       added category support


       David Gray

       preprocessing  to  provide  correct  handling  of  polygon
       edges,  labels  and correction of some topological errors.
       Also some new options q.v.


       _L_a_s_t _c_h_a_n_g_e_d_: _$_D_a_t_e_: _2_0_0_2_/_0_1_/_2_5 _0_5_:_4_5_:_3_5 _$



GRASS 5.0					    v.in.shape(1)
